PTHREAD_ATTR_SETCREATESUSPEND_NP(3)

NAME
pthread_attr_setcreatesuspend_np - prepare attribute for creation of suspended thread

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_attr_setcreatesuspend_np(pthread_attr_t *attr);

DESCRIPTION
The pthread_attr_setcreatesuspend_np() instructs pthread_create(3) that the thread created with the attr attribute should be created and left in a suspended state until explicitly resumed by the call to pthread_resume_np() or pthread_resume_all_np().

RETURN VALUES

ERRORS
The pthread_attr_setcreatesuspend_np() function will fail if:

[EINVAL]
    The value specified by attr is invalid.

SEE ALSO
pthread_attr_destroy(3), pthread_attr_init(3), pthread_create(3), pthread_resume_all_np(3), pthread_resume_np(3)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.